AgentDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.AgentDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class AgentDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.appdef.server.session.AgentDAO

    public class AgentDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`AgentDAO(DAOFactory f)`

Method Summary
`int` | `countUsed()`
`Agent` | `create(AgentType type, java.lang.String address, java.lang.Integer port, boolean unidirectional, java.lang.String authToken, java.lang.String agentToken, java.lang.String version)`
`java.util.List` | `findAgents(PageInfo pInfo)`
`java.util.List` | `findAll()`
`Agent` | `findByAgentToken(java.lang.String token)`
`Agent` | `findById(java.lang.Integer id)`
`java.util.List` | `findByIP(java.lang.String ip)`
`Agent` | `findByIpAndPort(java.lang.String address, int port)`
`Agent` | `get(java.lang.Integer id)`
`void` | `remove(Agent entity)`
`void` | `save(Agent entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentDAO

    public AgentDAO(DAOFactory f)

Method Detail

### save

    public void save(Agent entity)

### remove

    public void remove(Agent entity)

### get

    public Agent get(java.lang.Integer id)

### findById

    public Agent findById(java.lang.Integer id)

### create

    public Agent create(AgentType type,
                        java.lang.String address,
                        java.lang.Integer port,
                        boolean unidirectional,
                        java.lang.String authToken,
                        java.lang.String agentToken,
                        java.lang.String version)

### findAll

    public java.util.List findAll()

  Overrides:
    `findAll` in class `HibernateDAO`

### findByIP

    public java.util.List findByIP(java.lang.String ip)

### countUsed

    public int countUsed()

### findByIpAndPort

    public Agent findByIpAndPort(java.lang.String address,
                                 int port)

### findByAgentToken

    public Agent findByAgentToken(java.lang.String token)

### findAgents

    public java.util.List findAgents(PageInfo pInfo)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.